For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all order subscriptions

How to fetch a collection of order subscriptions via API

To fetch a collection of order subscriptions, send a GET request to the /api/order_subscriptions endpoint.

Request

GET https://yourdomain.commercelayer.io/api/order_subscriptions

Example

The following request fetches a collection of order subscriptions:

curl -g -X GET \
  'https://yourdomain.commercelayer.io/api/order_subscriptions/' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token'

On success, the API responds with a 200 OK status code, returning a paginated collection of resource objects:

{
  "data": [
    {
      "id": "XAyRWNUzyN",
      "type": "order_subscriptions",
      "links": {
        "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN"
      },
      "attributes": {
        "number": "1234",
        "status": "draft",
        "frequency": "monthly",
        "activate_by_source_order": true,
        "place_target_order": true,
        "renewal_alert_period": 1,
        "customer_email": "john@example.com",
        "starts_at": "2018-01-01T12:00:00.000Z",
        "expires_at": "2018-01-02T12:00:00.000Z",
        "last_run_at": "2018-01-01T12:00:00.000Z",
        "next_run_at": "2018-01-01T12:00:00.000Z",
        "occurrencies": 2,
        "errors_count": 3,
        "succeeded_on_last_run": true,
        "options": {
          "place_target_order": false
        },
        "created_at": "2018-01-01T12:00:00.000Z",
        "updated_at": "2018-01-01T12:00:00.000Z",
        "reference": "ANY-EXTERNAL-REFEFERNCE",
        "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
        "metadata": {
          "foo": "bar"
        }
      },
      "relationships": {
        "market": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/market",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/market"
          }
        },
        "subscription_model": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/subscription_model",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/subscription_model"
          }
        },
        "source_order": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/source_order",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/source_order"
          }
        },
        "customer": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/customer",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/customer"
          }
        },
        "customer_payment_source": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/customer_payment_source",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/customer_payment_source"
          }
        },
        "order_subscription_items": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_subscription_items",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_subscription_items"
          }
        },
        "order_factories": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_factories",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_factories"
          }
        },
        "order_copies": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/order_copies",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/order_copies"
          }
        },
        "recurring_order_copies": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/recurring_order_copies",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/recurring_order_copies"
          }
        },
        "orders": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/orders",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/orders"
          }
        },
        "events": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/events",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/events"
          }
        },
        "tags": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/tags",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/tags"
          }
        },
        "event_stores": {
          "links": {
            "self": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/relationships/event_stores",
            "related": "https://yourdomain.commercelayer.io/api/order_subscriptions/XAyRWNUzyN/event_stores"
          }
        }
      },
      "meta": {
        "mode": "test",
        "organization_id": "xRRkjDFafe",
        "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
      }
    },
    {
      "other": "... 9 order_subscriptions (first page)"
    }
  ],
  "meta": {
    "record_count": 140,
    "page_count": 14,
    "page_size": 10,
    "page_number": 1,
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  },
  "links": {
    "first": "https://yourdomain.commercelayer.io/api/order_subscriptions?page[number]=1&page[size]=10",
    "next": "https://yourdomain.commercelayer.io/api/order_subscriptions?page[number]=2&page[size]=10",
    "last": "https://yourdomain.commercelayer.io/api/order_subscriptions?page[number]=14&page[size]=10"
  }
}

Remember that when you fetch a list of resources you get paginated result.

Sortable fields

The list of order subscriptions can be sorted by the following fields:

Attributes

  • number

  • status

  • frequency

  • starts_at

  • expires_at

  • last_run_at

  • next_run_at

  • occurrencies

  • errors_count

  • succeeded_on_last_run

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

Relationships

  • market

  • subscription_model

  • customer

  • customer_payment_source

Filterable fields

The list of order subscriptions can be filtered by the following fields:

Attributes

  • number

  • status

  • frequency

  • customer_email

  • starts_at

  • expires_at

  • last_run_at

  • next_run_at

  • occurrencies

  • errors_count

  • succeeded_on_last_run

  • id

  • created_at

  • updated_at

  • reference

  • reference_origin

  • metadata

Relationships

  • market

  • subscription_model

  • source_order

  • customer

  • customer_payment_source

  • events

  • tags

Last updated